Last Comment Bug 687275 - Misc mozconfig detection code improvements
: Misc mozconfig detection code improvements
Status: RESOLVED FIXED
fixed-in-bs
:
Product: Core
Classification: Components
Component: Build Config (show other bugs)
: unspecified
: All All
: -- normal (vote)
: mozilla10
Assigned To: Siddharth Agarwal [:sid0] (inactive)
:
: Gregory Szorc [:gps]
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-09-17 12:39 PDT by Siddharth Agarwal [:sid0] (inactive)
Modified: 2011-09-30 13:48 PDT (History)
4 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
patch (2.25 KB, patch)
2011-09-17 12:39 PDT, Siddharth Agarwal [:sid0] (inactive)
no flags Details | Diff | Splinter Review
patch (2.21 KB, patch)
2011-09-17 12:41 PDT, Siddharth Agarwal [:sid0] (inactive)
ted: review+
neil: feedback+
Details | Diff | Splinter Review

Description Siddharth Agarwal [:sid0] (inactive) 2011-09-17 12:39:03 PDT
Created attachment 560724 [details] [diff] [review]
patch

Neil pointed out two possible minor improvements that could be made to our new mozconfig detection code:
- echo `abspath $_config` is an unnecessary roundtrip from pipe to string then back.
- the "Adding configure options" and "Adding client.mk options" texts should be changed to use FOUND_MOZCONFIG rather than MOZCONFIG.
Comment 1 Siddharth Agarwal [:sid0] (inactive) 2011-09-17 12:41:20 PDT
Created attachment 560725 [details] [diff] [review]
patch

sorry, uploaded an incorrect version of the patch.
Comment 2 neil@parkwaycc.co.uk 2011-09-17 15:26:10 PDT
Comment on attachment 560725 [details] [diff] [review]
patch

(What about the :+ ?)
Comment 3 Siddharth Agarwal [:sid0] (inactive) 2011-09-17 15:27:21 PDT
(In reply to neil@parkwaycc.co.uk from comment #2)
> Comment on attachment 560725 [details] [diff] [review]
> patch
> 
> (What about the :+ ?)

I explained why it should be + in bug 681659 comment 6.
Comment 4 Siddharth Agarwal [:sid0] (inactive) 2011-09-23 10:56:41 PDT
https://hg.mozilla.org/projects/build-system/rev/97beb3824d47
Comment 5 Kyle Huey [:khuey] (Exited; not receiving bugmail, email if necessary) 2011-09-30 13:43:39 PDT
https://hg.mozilla.org/mozilla-central/rev/97beb3824d47
Comment 6 Siddharth Agarwal [:sid0] (inactive) 2011-09-30 13:48:36 PDT
Pushed to comm-central too. http://hg.mozilla.org/comm-central/rev/41c376e2297b

Note You need to log in before you can comment on or make changes to this bug.